Index: src/molecules.cpp
===================================================================
--- src/molecules.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/molecules.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -2784,158 +3479,158 @@
 bool molecule::CheckOrderAtSite(ofstream *out, bool *AtomMask, Graph *GlobalKeySetList, int Order, int *MinimumRingSize, char *path)
 {
-	atom *Walker = start;
-	bool status = false;
-	ifstream InputFile;
-
-	// initialize mask list
-	for(int i=AtomCount;i--;)
-		AtomMask[i] = false;
-
-	if (Order < 0) { // adaptive increase of BondOrder per site
-		if (AtomMask[AtomCount] == true)	// break after one step
-			return false;
-		// parse the EnergyPerFragment file
-		char *buffer = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::CheckOrderAtSite: *buffer");
-		sprintf(buffer, "%s/%s%s.dat", path, FRAGMENTPREFIX, ENERGYPERFRAGMENT);
-		InputFile.open(buffer, ios::in);
-		if ((InputFile != NULL) && (GlobalKeySetList != NULL)) {
-			// transmorph graph keyset list into indexed KeySetList
-			map<int,KeySet> IndexKeySetList;
-			for(Graph::iterator runner = GlobalKeySetList->begin(); runner != GlobalKeySetList->end(); runner++) {
-				IndexKeySetList.insert( pair<int,KeySet>(runner->second.first,runner->first) );
-			}
-			int lines = 0;
-			// count the number of lines, i.e. the number of fragments
-			InputFile.getline(buffer, MAXSTRINGSIZE); // skip comment lines
-			InputFile.getline(buffer, MAXSTRINGSIZE);
-			while(!InputFile.eof()) {
-				InputFile.getline(buffer, MAXSTRINGSIZE);
-				lines++;
-			}
-			//*out << Verbose(2) << "Scanned " << lines-1 << " lines." << endl;	 // one endline too much
-			InputFile.clear();
-			InputFile.seekg(ios::beg);
-			map<int, pair<double,int> > AdaptiveCriteriaList;	// (Root No., (Value, Order)) !
-			int No, FragOrder;
-			double Value;
-			// each line represents a fragment root (Atom::nr) id and its energy contribution
-			InputFile.getline(buffer, MAXSTRINGSIZE); // skip comment lines
-			InputFile.getline(buffer, MAXSTRINGSIZE);
-			while(!InputFile.eof()) {
-				InputFile.getline(buffer, MAXSTRINGSIZE);
-				if (strlen(buffer) > 2) {
-					//*out << Verbose(2) << "Scanning: " << buffer << endl;
-					stringstream line(buffer);
-					line >> FragOrder;
-					line >> ws >> No;
-					line >> ws >> Value; // skip time entry
-					line >> ws >> Value;
-					No -= 1;	// indices start at 1 in file, not 0
-					//*out << Verbose(2) << " - yields (" << No << "," << Value << ", " << FragOrder << ")" << endl;
-
-					// clean the list of those entries that have been superceded by higher order terms already
-					map<int,KeySet>::iterator marker = IndexKeySetList.find(No);		// find keyset to Frag No.
-					if (marker != IndexKeySetList.end()) {	// if found
-						Value *= 1 + MYEPSILON*(*((*marker).second.begin()));		 // in case of equal energies this makes em not equal without changing anything actually
-						// as the smallest number in each set has always been the root (we use global id to keep the doubles away), seek smallest and insert into AtomMask
-						pair <map<int, pair<double,int> >::iterator, bool> InsertedElement = AdaptiveCriteriaList.insert( make_pair(*((*marker).second.begin()), pair<double,int>( fabs(Value), FragOrder) ));
-						map<int, pair<double,int> >::iterator PresentItem = InsertedElement.first;
-						if (!InsertedElement.second) { // this root is already present
-							if ((*PresentItem).second.second < FragOrder)	// if order there is lower, update entry with higher-order term
-								//if ((*PresentItem).second.first < (*runner).first)		// as higher-order terms are not always better, we skip this part (which would always include this site into adaptive increase)
-								{	// if value is smaller, update value and order
-								(*PresentItem).second.first = fabs(Value);
-								(*PresentItem).second.second = FragOrder;
-								*out << Verbose(2) << "Updated element (" <<	(*PresentItem).first << ",[" << (*PresentItem).second.first << "," << (*PresentItem).second.second << "])." << endl;
-							} else {
-								*out << Verbose(2) << "Did not update element " <<	(*PresentItem).first << " as " << FragOrder << " is less than or equal to " << (*PresentItem).second.second << "." << endl;
-							}
-						} else {
-							*out << Verbose(2) << "Inserted element (" <<	(*PresentItem).first << ",[" << (*PresentItem).second.first << "," << (*PresentItem).second.second << "])." << endl;
-						}
-					} else {
-						*out << Verbose(1) << "No Fragment under No. " << No << "found." << endl;
-					}
-				}
-			}
-			// then map back onto (Value, (Root Nr., Order)) (i.e. sorted by value to pick the highest ones)
-			map<double, pair<int,int> > FinalRootCandidates;
-			*out << Verbose(1) << "Root candidate list is: " << endl;
-			for(map<int, pair<double,int> >::iterator runner = AdaptiveCriteriaList.begin(); runner != AdaptiveCriteriaList.end(); runner++) {
-				Walker = FindAtom((*runner).first);
-				if (Walker != NULL) {
-					//if ((*runner).second.second >= Walker->AdaptiveOrder) { // only insert if this is an "active" root site for the current order
-					if (!Walker->MaxOrder) {
-						*out << Verbose(2) << "(" << (*runner).first << ",[" << (*runner).second.first << "," << (*runner).second.second << "])" << endl;
-						FinalRootCandidates.insert( make_pair( (*runner).second.first, pair<int,int>((*runner).first, (*runner).second.second) ) );
-					} else {
-						*out << Verbose(2) << "Excluding (" << *Walker << ", " << (*runner).first << ",[" << (*runner).second.first << "," << (*runner).second.second << "]), as it has reached its maximum order." << endl;
-					}
-				} else {
-					cerr << "Atom No. " << (*runner).second.first << " was not found in this molecule." << endl;
-				}
-			}
-			// pick the ones still below threshold and mark as to be adaptively updated
-			for(map<double, pair<int,int> >::iterator runner = FinalRootCandidates.upper_bound(pow(10.,Order)); runner != FinalRootCandidates.end(); runner++) {
-				No = (*runner).second.first;
-				Walker = FindAtom(No);
-				//if (Walker->AdaptiveOrder < MinimumRingSize[Walker->nr]) {
-					*out << Verbose(2) << "Root " << No << " is still above threshold (10^{" << Order <<"}: " << runner->first << ", setting entry " << No << " of Atom mask to true." << endl;
-					AtomMask[No] = true;
-					status = true;
-				//} else
-					//*out << Verbose(2) << "Root " << No << " is still above threshold (10^{" << Order <<"}: " << runner->first << ", however MinimumRingSize of " << MinimumRingSize[Walker->nr] << " does not allow further adaptive increase." << endl;
-			}
-			// close and done
-			InputFile.close();
-			InputFile.clear();
-		} else {
-			cerr << "Unable to parse " << buffer << " file, incrementing all." << endl;
-			while (Walker->next != end) {
-				Walker = Walker->next;
-		#ifdef ADDHYDROGEN
-				if (Walker->type->Z != 1) // skip hydrogen
-		#endif
-				{
-					AtomMask[Walker->nr] = true;	// include all (non-hydrogen) atoms
-					status = true;
-				}
-			}
-		}
-		Free((void **)&buffer, "molecule::CheckOrderAtSite: *buffer");
-		// pick a given number of highest values and set AtomMask
-	} else { // global increase of Bond Order
-		while (Walker->next != end) {
-			Walker = Walker->next;
-	#ifdef ADDHYDROGEN
-			if (Walker->type->Z != 1) // skip hydrogen
-	#endif
-			{
-				AtomMask[Walker->nr] = true;	// include all (non-hydrogen) atoms
-				if ((Order != 0) && (Walker->AdaptiveOrder < Order)) // && (Walker->AdaptiveOrder < MinimumRingSize[Walker->nr]))
-					status = true;
-			}
-		}
-		if ((Order == 0) && (AtomMask[AtomCount] == false))	// single stepping, just check
-			status = true;
-
-		if (!status) {
-			if (Order == 0)
-				*out << Verbose(1) << "Single stepping done." << endl;
-			else
-				*out << Verbose(1) << "Order at every site is already equal or above desired order " << Order << "." << endl;
-		}
-	}
-
-	// print atom mask for debugging
-	*out << "							";
-	for(int i=0;i<AtomCount;i++)
-		*out << (i % 10);
-	*out << endl << "Atom mask is: ";
-	for(int i=0;i<AtomCount;i++)
-		*out << (AtomMask[i] ? "t" : "f");
-	*out << endl;
-
-	return status;
+  atom *Walker = start;
+  bool status = false;
+  ifstream InputFile;
+
+  // initialize mask list
+  for(int i=AtomCount;i--;)
+    AtomMask[i] = false;
+
+  if (Order < 0) { // adaptive increase of BondOrder per site
+    if (AtomMask[AtomCount] == true)  // break after one step
+      return false;
+    // parse the EnergyPerFragment file
+    char *buffer = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::CheckOrderAtSite: *buffer");
+    sprintf(buffer, "%s/%s%s.dat", path, FRAGMENTPREFIX, ENERGYPERFRAGMENT);
+    InputFile.open(buffer, ios::in);
+    if ((InputFile != NULL) && (GlobalKeySetList != NULL)) {
+      // transmorph graph keyset list into indexed KeySetList
+      map<int,KeySet> IndexKeySetList;
+      for(Graph::iterator runner = GlobalKeySetList->begin(); runner != GlobalKeySetList->end(); runner++) {
+        IndexKeySetList.insert( pair<int,KeySet>(runner->second.first,runner->first) );
+      }
+      int lines = 0;
+      // count the number of lines, i.e. the number of fragments
+      InputFile.getline(buffer, MAXSTRINGSIZE); // skip comment lines
+      InputFile.getline(buffer, MAXSTRINGSIZE);
+      while(!InputFile.eof()) {
+        InputFile.getline(buffer, MAXSTRINGSIZE);
+        lines++;
+      }
+      //*out << Verbose(2) << "Scanned " << lines-1 << " lines." << endl;   // one endline too much
+      InputFile.clear();
+      InputFile.seekg(ios::beg);
+      map<int, pair<double,int> > AdaptiveCriteriaList;  // (Root No., (Value, Order)) !
+      int No, FragOrder;
+      double Value;
+      // each line represents a fragment root (Atom::nr) id and its energy contribution
+      InputFile.getline(buffer, MAXSTRINGSIZE); // skip comment lines
+      InputFile.getline(buffer, MAXSTRINGSIZE);
+      while(!InputFile.eof()) {
+        InputFile.getline(buffer, MAXSTRINGSIZE);
+        if (strlen(buffer) > 2) {
+          //*out << Verbose(2) << "Scanning: " << buffer << endl;
+          stringstream line(buffer);
+          line >> FragOrder;
+          line >> ws >> No;
+          line >> ws >> Value; // skip time entry
+          line >> ws >> Value;
+          No -= 1;  // indices start at 1 in file, not 0
+          //*out << Verbose(2) << " - yields (" << No << "," << Value << ", " << FragOrder << ")" << endl;
+
+          // clean the list of those entries that have been superceded by higher order terms already
+          map<int,KeySet>::iterator marker = IndexKeySetList.find(No);    // find keyset to Frag No.
+          if (marker != IndexKeySetList.end()) {  // if found
+            Value *= 1 + MYEPSILON*(*((*marker).second.begin()));     // in case of equal energies this makes em not equal without changing anything actually
+            // as the smallest number in each set has always been the root (we use global id to keep the doubles away), seek smallest and insert into AtomMask
+            pair <map<int, pair<double,int> >::iterator, bool> InsertedElement = AdaptiveCriteriaList.insert( make_pair(*((*marker).second.begin()), pair<double,int>( fabs(Value), FragOrder) ));
+            map<int, pair<double,int> >::iterator PresentItem = InsertedElement.first;
+            if (!InsertedElement.second) { // this root is already present
+              if ((*PresentItem).second.second < FragOrder)  // if order there is lower, update entry with higher-order term
+                //if ((*PresentItem).second.first < (*runner).first)    // as higher-order terms are not always better, we skip this part (which would always include this site into adaptive increase)
+                {  // if value is smaller, update value and order
+                (*PresentItem).second.first = fabs(Value);
+                (*PresentItem).second.second = FragOrder;
+                *out << Verbose(2) << "Updated element (" <<  (*PresentItem).first << ",[" << (*PresentItem).second.first << "," << (*PresentItem).second.second << "])." << endl;
+              } else {
+                *out << Verbose(2) << "Did not update element " <<  (*PresentItem).first << " as " << FragOrder << " is less than or equal to " << (*PresentItem).second.second << "." << endl;
+              }
+            } else {
+              *out << Verbose(2) << "Inserted element (" <<  (*PresentItem).first << ",[" << (*PresentItem).second.first << "," << (*PresentItem).second.second << "])." << endl;
+            }
+          } else {
+            *out << Verbose(1) << "No Fragment under No. " << No << "found." << endl;
+          }
+        }
+      }
+      // then map back onto (Value, (Root Nr., Order)) (i.e. sorted by value to pick the highest ones)
+      map<double, pair<int,int> > FinalRootCandidates;
+      *out << Verbose(1) << "Root candidate list is: " << endl;
+      for(map<int, pair<double,int> >::iterator runner = AdaptiveCriteriaList.begin(); runner != AdaptiveCriteriaList.end(); runner++) {
+        Walker = FindAtom((*runner).first);
+        if (Walker != NULL) {
+          //if ((*runner).second.second >= Walker->AdaptiveOrder) { // only insert if this is an "active" root site for the current order
+          if (!Walker->MaxOrder) {
+            *out << Verbose(2) << "(" << (*runner).first << ",[" << (*runner).second.first << "," << (*runner).second.second << "])" << endl;
+            FinalRootCandidates.insert( make_pair( (*runner).second.first, pair<int,int>((*runner).first, (*runner).second.second) ) );
+          } else {
+            *out << Verbose(2) << "Excluding (" << *Walker << ", " << (*runner).first << ",[" << (*runner).second.first << "," << (*runner).second.second << "]), as it has reached its maximum order." << endl;
+          }
+        } else {
+          cerr << "Atom No. " << (*runner).second.first << " was not found in this molecule." << endl;
+        }
+      }
+      // pick the ones still below threshold and mark as to be adaptively updated
+      for(map<double, pair<int,int> >::iterator runner = FinalRootCandidates.upper_bound(pow(10.,Order)); runner != FinalRootCandidates.end(); runner++) {
+        No = (*runner).second.first;
+        Walker = FindAtom(No);
+        //if (Walker->AdaptiveOrder < MinimumRingSize[Walker->nr]) {
+          *out << Verbose(2) << "Root " << No << " is still above threshold (10^{" << Order <<"}: " << runner->first << ", setting entry " << No << " of Atom mask to true." << endl;
+          AtomMask[No] = true;
+          status = true;
+        //} else
+          //*out << Verbose(2) << "Root " << No << " is still above threshold (10^{" << Order <<"}: " << runner->first << ", however MinimumRingSize of " << MinimumRingSize[Walker->nr] << " does not allow further adaptive increase." << endl;
+      }
+      // close and done
+      InputFile.close();
+      InputFile.clear();
+    } else {
+      cerr << "Unable to parse " << buffer << " file, incrementing all." << endl;
+      while (Walker->next != end) {
+        Walker = Walker->next;
+    #ifdef ADDHYDROGEN
+        if (Walker->type->Z != 1) // skip hydrogen
+    #endif
+        {
+          AtomMask[Walker->nr] = true;  // include all (non-hydrogen) atoms
+          status = true;
+        }
+      }
+    }
+    Free((void **)&buffer, "molecule::CheckOrderAtSite: *buffer");
+    // pick a given number of highest values and set AtomMask
+  } else { // global increase of Bond Order
+    while (Walker->next != end) {
+      Walker = Walker->next;
+  #ifdef ADDHYDROGEN
+      if (Walker->type->Z != 1) // skip hydrogen
+  #endif
+      {
+        AtomMask[Walker->nr] = true;  // include all (non-hydrogen) atoms
+        if ((Order != 0) && (Walker->AdaptiveOrder < Order)) // && (Walker->AdaptiveOrder < MinimumRingSize[Walker->nr]))
+          status = true;
+      }
+    }
+    if ((Order == 0) && (AtomMask[AtomCount] == false))  // single stepping, just check
+      status = true;
+
+    if (!status) {
+      if (Order == 0)
+        *out << Verbose(1) << "Single stepping done." << endl;
+      else
+        *out << Verbose(1) << "Order at every site is already equal or above desired order " << Order << "." << endl;
+    }
+  }
+
+  // print atom mask for debugging
+  *out << "              ";
+  for(int i=0;i<AtomCount;i++)
+    *out << (i % 10);
+  *out << endl << "Atom mask is: ";
+  for(int i=0;i<AtomCount;i++)
+    *out << (AtomMask[i] ? "t" : "f");
+  *out << endl;
+
+  return status;
 };
 
@@ -2947,27 +3642,27 @@
 bool molecule::CreateMappingLabelsToConfigSequence(ofstream *out, int *&SortIndex)
 {
-	element *runner = elemente->start;
-	int AtomNo = 0;
-	atom *Walker = NULL;
-
-	if (SortIndex != NULL) {
-		*out << Verbose(1) << "SortIndex is " << SortIndex << " and not NULL as expected." << endl;
-		return false;
-	}
-	SortIndex = (int *) Malloc(sizeof(int)*AtomCount, "molecule::FragmentMolecule: *SortIndex");
-	for(int i=AtomCount;i--;)
-		SortIndex[i] = -1;
-	while (runner->next != elemente->end) { // go through every element
-		runner = runner->next;
-		if (ElementsInMolecule[runner->Z]) { // if this element got atoms
-			Walker = start;
-			while (Walker->next != end) { // go through every atom of this element
-				Walker = Walker->next;
-				if (Walker->type->Z == runner->Z) // if this atom fits to element
-					SortIndex[Walker->nr] = AtomNo++;
-			}
-		}
-	}
-	return true;
+  element *runner = elemente->start;
+  int AtomNo = 0;
+  atom *Walker = NULL;
+
+  if (SortIndex != NULL) {
+    *out << Verbose(1) << "SortIndex is " << SortIndex << " and not NULL as expected." << endl;
+    return false;
+  }
+  SortIndex = (int *) Malloc(sizeof(int)*AtomCount, "molecule::FragmentMolecule: *SortIndex");
+  for(int i=AtomCount;i--;)
+    SortIndex[i] = -1;
+  while (runner->next != elemente->end) { // go through every element
+    runner = runner->next;
+    if (ElementsInMolecule[runner->Z]) { // if this element got atoms
+      Walker = start;
+      while (Walker->next != end) { // go through every atom of this element
+        Walker = Walker->next;
+        if (Walker->type->Z == runner->Z) // if this atom fits to element
+          SortIndex[Walker->nr] = AtomNo++;
+      }
+    }
+  }
+  return true;
 };
 
@@ -2978,6 +3673,6 @@
 y contribution", and that's why this consciously not done in the following loop)
  * -# in a loop over all subgraphs
- *	-# calls FragmentBOSSANOVA with this RootStack and within the subgraph molecule structure
- *	-# creates molecule (fragment)s from the returned keysets (StoreFragmentFromKeySet)
+ *  -# calls FragmentBOSSANOVA with this RootStack and within the subgraph molecule structure
+ *  -# creates molecule (fragment)s from the returned keysets (StoreFragmentFromKeySet)
  * -# combines the generated molecule lists from all subgraphs
  * -# saves to disk: fragment configs, adjacency, orderatsite, keyset files
